using System;
using System.IO;
using System.Reflection;

namespace ivware.Mobile.RAPISync.GUI
{
	internal class Configuration
	{
		public static string DefaultProfilePath
		{
			get
			{
				return
					Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), @"BeyondSync\DefaultProfile.xml");
			}
		}

		public static string ProductVersion
		{
			get
			{
				return Assembly.GetExecutingAssembly().GetName().Version.ToString() + " (BETA)";
			}
		}
	}
}